List tags
Returns a list of tags for your account.Endpoint
GET /v3/tags
Parameters
Create a tag
Create one or multiple tags for your account.Endpoint
POST /v3/tags
Parameters
A JSON object or an array of JSON objects that includes the tag name. Each object should contain:
name(required): The name of the tag
Tag a subscriber
Tags are handled as subscriptions. Subscribe an email address to a tag to have that tag applied to the subscriber with that email address.Endpoint
POST /v3/tags/#{tag_id}/subscribe
Parameters
Object of key/value pairs for custom field(s). The custom field(s) must exist before you can use it here.
Deprecated Parameters
Array of form ids to subscribe to. You should add the subscriber to the form directly. Only legacy landing page IDs are resolved; archived ones are skipped.
Remove tag from a subscriber
Remove a specific tag from a subscriber by subscriber ID.Endpoint
DELETE /v3/subscribers/#{subscriber_id}/tags/#{tag_id}
Parameters
Remove tag from a subscriber by email
Remove a specific tag from a subscriber by email address.Endpoint
POST /v3/tags/#{tag_id}/unsubscribe
Parameters
List subscriptions to a tag
List subscriptions to a tag including subscriber data.Endpoint
GET /v3/tags/#{tag_id}/subscriptions
Parameters
Sort order for results (
asc or desc). asc to list subscribers added oldest to newest, desc to list subscribers added newest to oldest. Default is asc.Filter by subscriber state (
active or cancelled). Receive only active subscribers or cancelled subscribers.The page of results being requested. Default value is
1. Each page of results will contain up to 50 subscriptions.